<!--section-->
<section>
    <div class="container">
        <div class="row">
            <!--left-section-->
            <%= render 'layouts/sidebar' %>
            <!--/left-section-->
            <!--middle-section-->
            <% total = 0 %>
            <% data = @data.map{|x| x[:percentage]} %>
            <% total = data.inject(0){ |sum, x| sum + x } %>
            <div class="col-md-9 col-xs-12">
                <div class="article gameplan">
                    <div class="header no-margin">
                        <h1>Career Gameplan</h1>
                    </div>
                    <div class="article-content no-padding">
                        <div class="graph_sec">
                        <div class="custom_graph">
                            <div class="per_circle shadow gradient d-inline-block">
                                <span><%= ((total.to_f/500)*100).round %>%</span>
                            </div>
                            <div class="graph_label d-inline-block">
                                

                                <div class="acadamic custom_label yellow_gradient shadow">
                                    <a href="javascript:void(0)" class="refer_detail" data-id="1"><div class="gradient circle"><%= @data[0][:percentage] %>%</div><span><%= @data[0][:category_name] %></span></a>
                                </div>
                                <div class="experiance custom_label orange_gradient shadow">
                                    <a href="javascript:void(0)" class="refer_detail" data-id="2"><div class="gradient circle"><%= @data[1][:percentage] %>%</div><span><%= @data[1][:category_name] %></span></a>
                                </div>
                                <div class="culture custom_label pink_gradient shadow">
                                    <a href="javascript:void(0)" class="refer_detail" data-id="3"><div class="gradient circle "><%= @data[2][:percentage] %>%</div><span><%= @data[2][:category_name] %></span></a>
                                </div>
                                <div class="communication custom_label blue_gradient shadow">
                                    <a href="javascript:void(0)" class="refer_detail" data-id="4"><div class="gradient circle"><%= @data[3][:percentage] %>%</div><span><%= @data[3][:category_name] %></span></a>
                                </div>
                                <div class="networking custom_label cyan_gradient shadow">
                                    <a href="javascript:void(0)" class="refer_detail" data-id="5" data-target="#collapse_5"><div class="gradient circle"><%= @data[4][:percentage] %>%</div><span><%= @data[4][:category_name] %></span></a>
                                </div>
                                <%# gradients = [ 'yellow_gradient', 'orange_gradient', 'pink_gradient', 'blue_gradient', 'cyan_gradient' ] %>
                                <%# @data.each_with_index do |d, index| %>

                                <%# end %>
                            </div>

                        </div>
                        <div class="clearfix"></div>
                        <div class="graph_btn"><a class="btn btn-submit" href="<%= take_test_gameplan_index_path  %>"> Test Again</a></div>
                    </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <% colors = [ 'blue', 'orange', 'purple', 'green', 'yellow' ] %>
                                <% @data.each_with_index do |d, index| %>
                                    <% flag_color = d[:percentage] >= 66 ? 'green' : (d[:percentage] >=33 && d[:percentage] < 65) ? 'yellow' : 'red' %>
                                    <% flag_title = d[:percentage] >= 66 ? 'Above Average' : (d[:percentage] >=33 && d[:percentage] < 65) ? 'Average' : 'Needs Improvement' %>
                                    <div class="panel panel-default <%= colors[index] %>">
                                        <div class="panel-heading">
                                            <h4 class="panel-title">
                                                <a class="<%= colors[index] %> collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapse<%= index + 1 %>">
                                                    <h4><span><%= d[:percentage] %>%</span> <%= d[:category_name] %> </h4>
                                                    <!-- <i data-toggle="tooltip" data-placement="bottom" title="<%= flag_title %>" class="<%= flag_color %>-flag"></i> -->
                                                </a>
                                            </h4>
                                        </div>
                                        <div id="collapse<%= index + 1 %>" class="panel-collapse collapse">
                                            <div class="panel-body">
                                                <% logger.info "===#{d[:response][0].length}" %>
                                                <%  if d[:response][0].length > 400 %>
                                                    <p class="response collapsed collapsed_<%= index+1 %>">
                                                        <%= truncate(d[:response].join('<br><br>').html_safe, length: 400, enable: false) %>
                                                        <a class="link view_more_gameplan " href="javascript:void(0)" id='view_more' data-id="<%= index + 1 %>">Read more</a>
                                                    </p>
                                                    <p class="response detailed detailed_<%= index+1 %>">
                                                        <%= d[:response].join('<br><br>').html_safe %>
                                                        <a class="link view_less_gameplan " href="javascript:void(0)" id='view_more' data-id="<%= index + 1 %>">...Read less</a>
                                                    </p>
                                                <% else %>
                                                    <p class="response">
                                                        <%= d[:response].join('<br><br>').html_safe %>
                                                    </p>
                                                <% end %>
                                            </div>
                                        </div>
                                    </div>
                                <% end %>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--/middle-section-->

        </div>
    </div>
</section>
<!--/section-->
